import * as $dara from '@darabonba/typescript';
import { DescribeImageEventOperationPageResponseBody } from "./DescribeImageEventOperationPageResponseBody";
export declare class DescribeImageEventOperationPageResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeImageEventOperationPageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
